<?php
namespace Datamints\DatamintsPiwik\Controller;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2015 Eva Rieger <e.rieger@datamints.com>, datamints GmbH
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Extbase\Configuration\ConfigurationManagerInterface;
use TYPO3\CMS\Extbase\Object\ObjectManager;

/**
 * Controller for the calendar plugin (calendar, list and year view).
 *
 */
class PiwikController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController {

    /**
     * piwikRepository
     *
     * @var \Datamints\DatamintsPiwik\Domain\Repository\PiwikRepository
     * @inject
     */
    protected $piwikRepository;

    /**
     * Service to get infos about Piwik
     *
     * @var \Datamints\DatamintsPiwik\Service\PiwikInfoService
     * @inject
     */
    protected $piwikInfoService;

    /**
     * Shows Piwik opt-out iframe
     *
     * @return string The rendered view
     */
    public function showOptOutAction() {

        $currentLanguage = "";

        // If flexform language set, the opt-out is translated to this language. Otherwise we try to get
        // the current language key from typoscript configuration.
        if ($this->settings['optout']['language'] !== "**") {
            // Get language key from flexform
            $currentLanguage = $this->settings['optout']['language'];
        }
        else if (isset($GLOBALS['TSFE']->config['config']['language'])) {
            // Get current language key from Typoscript config.language
            $currentLanguage = $GLOBALS['TSFE']->config['config']['language'];
        }
        // if not set, default language will be determined by piwik.

        $this->view->assign('languageKey', $currentLanguage);
    }



}
