<?php

namespace Datamints\DatamintsPiwik\Utility;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2015 Eva Rieger <e.rieger@datamints.com>, datamints GmbH
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use TYPO3\CMS\Core\Utility\GeneralUtility;
use Datamints\DatamintsPiwik\Service\PiwikInfoService;

 /**
  * Class ItemsProcFunc
  */
class ItemsProcFunc {


    /**
     * Service to get information about Piwik
     *
     * @var \Datamints\DatamintsPiwik\Service\PiwikInfoService
     */
    protected $piwikInfoService;



    /**
     * Initializes data providers
     *
     * @return void
     */
    protected function initializePiwikInfoService() {

        // Get TypoScript settings.
        /** @var \TYPO3\CMS\Extbase\Object\ObjectManager $objectManager */
        $objectManager = GeneralUtility::makeInstance('TYPO3\\CMS\\Extbase\\Object\\ObjectManager');
        /** @var \TYPO3\CMS\Extbase\Configuration\ConfigurationManagerInterface $configurationManager */
        $configurationManager = $objectManager->get('TYPO3\\CMS\\Extbase\\Configuration\\ConfigurationManagerInterface');
        $settings = $configurationManager->getConfiguration(\TYPO3\CMS\Extbase\Configuration\ConfigurationManagerInterface::CONFIGURATION_TYPE_SETTINGS, 'DatamintsPiwik', 'Pi1');

        /** @var $piwikInfoService PiwikInfoService */
        $this->piwikInfoService = $objectManager->get('Datamints\\DatamintsPiwik\\Service\\PiwikInfoService');
        $this->piwikInfoService->setSettings($settings);
    }



    /**
	 * Itemsproc function to extend the selection of templateLayouts in the plugin
	 *
	 * @param array &$config configuration array
	 * @return void
	 */
	public function optOut_getLanguages(array &$config) {

        $this->initializePiwikInfoService();

        $language = array('**' =>  'Default', );
        $language = array_merge($language, $this->piwikInfoService->getAvailableLanguages());
        $i=0;
        foreach($language as $key=>$value){
            $config['items'][$i][0]=$value;
            $config['items'][$i][1]=$key;
            $i++;
        }

        return $config;

	}


}